# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "dds-bridge"
version = "0.18.0"
authors = ["Chen-Pang He (https://jdh8.org)"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rusty API for DDS, the double dummy solver for bridge"
homepage = "https://github.com/jdh8/dds-bridge"
documentation = "https://docs.rs/dds-bridge"
readme = "README.md"
keywords = [
    "bridge",
    "double-dummy",
]
categories = ["game-development"]
license = "Apache-2.0"
repository = "https://github.com/jdh8/dds-bridge"

[features]
serde = [
    "dep:serde",
    "dep:serde_with",
    "arrayvec/serde",
    "bitflags/serde",
    "semver/serde",
]

[lib]
name = "dds_bridge"
path = "src/lib.rs"

[[example]]
name = "solve-pbn"
path = "examples/solve-pbn.rs"

[[test]]
name = "contract"
path = "tests/contract.rs"

[[test]]
name = "deal"
path = "tests/deal.rs"

[[test]]
name = "fmt"
path = "tests/fmt.rs"

[[test]]
name = "proptest"
path = "tests/proptest.rs"

[[test]]
name = "serde"
path = "tests/serde.rs"

[[test]]
name = "solver"
path = "tests/solver.rs"

[dependencies.arrayvec]
version = "0.7"

[dependencies.bitflags]
version = "2"

[dependencies.dds-bridge-sys]
version = "2"

[dependencies.parking_lot]
version = "0.12"

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.serde_with]
version = "3"
features = ["macros"]
optional = true
default-features = false

[dependencies.thiserror]
version = "2"

[dev-dependencies.proptest]
version = "1"

[dev-dependencies.serde_json]
version = "1"

[profile.dev]
opt-level = 2
